﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */


a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

iframe {
    max-width: 100%;
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}



.device-status {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    margin-right: 22px;
}

    .device-status.active {
        background-color: #28a745;
    }

    .device-status.inactive {
        background-color: lightgray;
    }

    .device-status.green {
        background-color: #28a745;
    }

    .device-status.red {
        background-color: #dc3545;
    }

    .device-status.grey {
        background-color: lightgray;
    }

    .device-status.purple {
        background-color: #6f55ff;
    }

.device-status-bar-container {
    width: 100%;
    height: 60px;
    text-align: center;
    line-height: 60px;
    font-size: 16px;
    display: flex;
    justify-content: space-evenly;
    color: white;
    background-color: #d5d3d5;
    text-transform: uppercase;
}

.device-status-bar-container-loader {
    height: 60px;
    width: 100%;
    background-color: #808080ba;
    margin-top: -90px;
    position: relative;
    display: none;
    margin-bottom: 30px;
}

.device-status-item-standby {
    /*    border: 1px solid grey;
    border-radius: 4px;
    height: 50px;
    line-height: 50px;
    padding: 0 10px;
    width: 33.33%;*/
    display: flex;
    justify-content: center;
    flex-grow: 1;
    flex-basis: 100%;
}

    .device-status-item-standby.selected {
        background-color: #6f55ff;
    }

.device-status-item-preheating {
    /*    border: 1px solid grey;
    border-radius: 4px;
    height: 50px;
    line-height: 50px;
    padding: 0 10px;
    width: 33.33%;*/
    display: flex;
    justify-content: center;
    flex-grow: 1;
    flex-basis: 100%;
}

    .device-status-item-preheating.selected {
        background-color: #6f55ff;
    }

.device-status-item-heating {
    /*    border: 1px solid grey;
    border-radius: 4px;
    height: 50px;
    line-height: 50px;
    padding: 0 10px;
    width: 33.33%;*/
    display: flex;
    justify-content: center;
    flex-grow: 1;
    flex-basis: 100%;
}

    .device-status-item-heating.selected {
        background-color: #6f55ff;
    }

.device-status-item-afterrun {
    /*    border: 1px solid grey;
    border-radius: 4px;
    height: 50px;
    line-height: 50px;
    padding: 0 10px;
    width: 33.33%;*/
    display: flex;
    justify-content: center;
    flex-grow: 1;
    flex-basis: 100%;
}

    .device-status-item-afterrun.selected {
        background-color: #6f55ff;
    }

.heating-profile {
    width: 100%;
    height: 60px;
    text-align: center;
    line-height: 60px;
    font-size: 12px;
    display: flex;
    justify-content: space-evenly;
    color: white;
    text-transform: uppercase;
}

.heating-profile-item {
    width: 24%;
    min-width: 24%;
    display: flex;
    background-color: #d5d3d5;
    border-radius: 0.25rem;
    cursor: pointer;
    justify-content: flex-start;
}

    .heating-profile-item.selected {
        background-color: #6f55ff;
    }

.device-status-bar {
    width: 100%;
    height: 60px;
    color: white;
    text-align: center;
    line-height: 60px;
    font-size: 30px;
    margin-bottom: 30px;
}

    .device-status-bar.active {
        background-color: #28a745;
    }

    .device-status-bar.inactive {
        background-color: lightgray;
    }

    .device-status-bar.green {
        background-color: #28a745;
    }

    .device-status-bar.red {
        background-color: #dc3545;
    }

    .device-status-bar.grey {
        background-color: lightgray;
    }

    .device-status-bar.purple {
        background-color: #6f55ff;
    }


.form-style-classic .input-group-meta select {
    width: 100%;
    height: 100%;
    font-size: 23px;
    border: none;
    border-bottom: solid 2px #000;
    color: var(--heading);
    background: transparent;
    font-family: 'Rubik', sans-serif;
}

#container-openweathermap-widget-21, #container-openweathermap-widget-22 {
    display: flex;
    justify-content: center;
}

.btn-secondary {
    background-color: lightgray !important;
    border-color: lightgray !important;
    cursor: pointer;
}

.btn-purple {
    background-color: #6f55ff !important;
    border-color: #6f55ff !important;
    cursor: pointer;
    color: white !important;
}

.btn-outline-purple {
    color: #6f55ff !important;
    border-color: #6f55ff !important;
}

    .btn-outline-purple:hover {
        color: #fff !important;
        background-color: #6f55ff !important;
        border-color: #6f55ff !important;
    }

    .btn-outline-purple.disabled {
        color: lightgray !important;
        border-color: lightgray !important;
    }

        .btn-outline-purple.disabled:hover {
            color: #fff !important;
            background-color: lightgray !important;
            border-color: lightgray !important;
        }

.btn-outline-grey {
    color: lightgray !important;
    border-color: lightgray !important;
}

    .btn-outline-grey:hover {
        color: #fff !important;
        background-color: lightgray !important;
        border-color: lightgray !important;
    }



.fancy-hero-four {
    padding: 50px 0 50px !important;
}

.form-style-classic .input-group-meta.lg {
    height: 150px !important;
}

.user-data-page .illustration-wrapper {
    display: none !important;
}

.user-data-page .form-wrapper {
    float: none !important;
    margin: auto !important;
}

.date-picker-container {
    /*width: auto !important;*/
    flex-direction: column;
}

.smart-control-status-message {
    font-weight: bold;
    margin-bottom: 30px;
}

.form-check-input {
    margin-top: 10px !important;
    cursor: pointer;
}

body .theme-btn-one:disabled,
body .theme-btn-one[disabled] {
    background-color: #cccccc;
    color: #666666;
    pointer-events: none;
}

.heating-profile .form-check-input {
    margin-top: 0px !important;
}

.heating-profile .form-check-label {
    cursor: pointer;
}

#html5-qrcode-button-camera-permission, #reader__scan_region img {
    display: inline-block;
}

#html5-qrcode-button-camera-start, #html5-qrcode-button-camera-stop {
    opacity: 1;
    display: inline-block;
    font: 300 15px/1.5 "IBM Plex Sans",Helvetica,sans-serif;
    color: #111;
    background-color: #fdfdfd;
    padding-left: 3.75px;
    padding-right: 3.75px;
    border: 1px solid #828282;
    border-radius: 3px;
    outline: none;
}

.dx-datagrid-content .dx-datagrid-table .dx-row .dx-command-select {
    width: 40px !important;
    min-width: 40px !important;
    max-width: 40px !important;
}

.BuyButton-Button {
    max-width: 150px;
}

.tooltipdiv {
    display: none;
    position: absolute;
    background-color: #333;
    color: #fff;
    padding: 5px;
    border-radius: 5px;
}

.ml-15 {
    margin-left: 15px;
}

.chart-left-axis {
    text-align: left;
    padding-left: 2.5%;
}

.chart-right-axis {
    text-align: right;
    margin-right: -3%;
    float: right;
}

.outlook-chart-right-axis {
    text-align: right;
    margin-right: -2%;
    float: right;
}

.refreshBtn {
    margin-left: 20px;
    margin-top: -3px;
}

@media screen and (max-width: 767px) {
    .device-status-bar-container {
        height: 80px;
        line-height: 1;
        font-size: 14px;
    }

    .device-status-bar-container-loader {
        height: 80px;
        margin-top: -110px;
    }

        .device-status-bar-container-loader div {
            padding: 26px;
        }

    .device-status-item-standby, .device-status-item-preheating, .device-status-item-heating, .device-status-item-afterrun {
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: center;
        align-content: center;
    }

        .device-status-item-standby img, .device-status-item-preheating img, .device-status-item-heating img, .device-status-item-afterrun img {
            width: 30px !important;
            height: 30px !important;
        }

    .heating-profile {
        height: 80px;
        line-height: 1;
        font-size: 10px;
    }

    .heating-profile-item {
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: center;
        align-content: center;
    }

        .heating-profile-item img {
            width: 30px !important;
            height: 30px !important;
        }

    #hours {
        width: 65px !important;
    }

    .btn-outline-purple, .btn-outline-grey {
        font-size: 12px !important;
    }

    .smart-control-status-message {
        font-size: 12px;
    }

    .h1, h1 {
        font-size: 50px !important;
    }

    .heating-profile .form-check-label {
        font-size: 14px;
    }
}
